# Generated by Django 3.0.2 on 2020-03-04 13:34

from django.db import migrations, models
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='TopicMedicine',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('data_source', models.TextField(null=True, verbose_name='数据来源')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='数据更新时间')),
                ('data_completion', models.FloatField(default=0, null=True, verbose_name='数据完整度')),
                ('data_richness', models.FloatField(default=0, null=True, verbose_name='数据丰富度')),
                ('verified', models.BooleanField(default=False, verbose_name='已核对')),
                ('verified_by', models.CharField(max_length=10, null=True, verbose_name='核对人员')),
                ('verified_time', models.DateTimeField(null=True, verbose_name='核对时间')),
                ('mid', models.UUIDField(default=uuid.uuid4, editable=False, verbose_name='药品ID')),
                ('name', models.CharField(max_length=255, verbose_name='通用名称')),
                ('prod_name', models.CharField(max_length=255, null=True, verbose_name='商品名称')),
                ('abbreviation', models.CharField(blank=True, max_length=255, verbose_name='首字母缩写')),
                ('spec', models.CharField(max_length=255, null=True, verbose_name='规格')),
                ('spec_min', models.CharField(max_length=255, null=True, verbose_name='最小规格')),
                ('drug_type', models.CharField(max_length=255, null=True, verbose_name='剂型')),
                ('pack_unit', models.CharField(max_length=255, null=True, verbose_name='包装单位')),
                ('storage', models.CharField(max_length=255, null=True, verbose_name='储藏')),
                ('brand', models.CharField(max_length=255, null=True, verbose_name='品牌')),
                ('approval_number', models.CharField(max_length=255, null=True, verbose_name='批准文号')),
                ('barcode', models.CharField(max_length=255, null=True, verbose_name='条形码')),
                ('manufacture', models.CharField(max_length=255, null=True, verbose_name='生产厂家')),
                ('origin', models.CharField(max_length=255, null=True, verbose_name='产地')),
                ('tag', models.TextField(null=True, verbose_name='分类标签')),
                ('ro', models.CharField(choices=[('rx', '处方'), ('otc', '非处方'), ('--', '未定义')], max_length=64, null=True, verbose_name='处方分类')),
                ('function', models.TextField(verbose_name='功能主治')),
                ('manual', models.TextField(help_text='以json键值对的形式录入', verbose_name='说明书')),
                ('img', models.TextField(help_text='多张图片以换行符分隔', verbose_name='药品图片')),
                ('disable', models.BooleanField(default=False, verbose_name='是否启用')),
            ],
            options={
                'verbose_name': '药品',
                'verbose_name_plural': '药品',
                'db_table': 'medicine',
                'abstract': False,
            },
        ),
    ]
